package selectAccessoDBRemoto;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;

public class SelectAccessoDBRemoto {
	public static final String driver = "com.mysql.cj.jdbc.Driver";
    private String url;
    private String username;
    private String password;
    private Connection conn;
    
    /** * Prepares the things for the connection.
     * * @param hostname
     * * @param database
     * * @param port
     * * @param username
     * * @param password */

    public SelectAccessoDBRemoto(String hostname, String database, String port, String username, String password) {
        this.username = username;
        this.password = password;
        this.url = String.format("jdbc:mysql://%s:%s/%s", hostname, port, database); }
        
        public Connection connect() throws ClassNotFoundException, SQLException {
            Class.forName(SelectAccessoDBRemoto.driver);
            conn = DriverManager.getConnection(url, username, password);
            return conn; }
        
        public static void main(String[] args) {
            String hostname = "g10.h.filess.io";
            String database = "alunnievalutazioni_occursowet";
            String port = "3305";
            String username = "alunnievalutazioni_occursowet";
            String password = "92d029bc170daab28479014227b6964ab2196a07";
            
            SelectAccessoDBRemoto mysql = new SelectAccessoDBRemoto(hostname, database, port, username, password);
            
            try {
                Connection conn = mysql.connect();
                System.out.println(String.format("Conected: %b", !conn.isClosed()));
                
                if (conn.isClosed()) {
                    System.out.println("Terminating as the connection is closed.");
                    System.exit(1); }
            
            ResultSet resultSet = conn.createStatement().executeQuery("SELECT * FROM `alunni`");
            
            while (resultSet.next()) {
                int idalunno = resultSet.getInt(1);
            	String nominativo = resultSet.getString(2);
            	String datanascita = resultSet.getString(3);
            	String sesso = resultSet.getString(4);
            	
                // visualizza i campi
            	System.out.println("ID_Alunno = " + idalunno);
                System.out.println("Nominativo = " + nominativo);
                System.out.println("Data_Nascita = " + datanascita);
                System.out.println("Sesso = " + sesso);
                System.out.print("\n"); }
        
        } catch (SQLException e) {
            System.out.println("Ha ocurrido un error de MySQL");
            e.getErrorCode();
            System.out.println(e);
        
        } catch (ClassNotFoundException e) {
            System.out.println("Ha ocurrido un error ajeno a MySQL");
            e.printStackTrace(); }
        
    }
}
